ruby-text-table_1.2.4-1_all.deb


Advertisement

Description

ruby-text-table - feature-rich, easy-to-use plain text table formatter in Ruby

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: ruby-text-table
Package version: 1.2.4
Package release: 1
Package architecture: all
Package type: deb
Installed size: 37 B
Download size: 8.51 KB
Official Mirror: archive.ubuntu.com
This Ruby library allows one to easily create and format plain text tables. It offers support for table headers and footers, and various format and alignment options.

Alternatives

    Download

    Source package: ruby-text-table

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install ruby-text-table deb package:
      # sudo apt-get install ruby-text-table

    Files

    • /usr/lib/ruby/vendor_ruby/text-table.rb
    • /usr/lib/ruby/vendor_ruby/text-table/cell.rb
    • /usr/lib/ruby/vendor_ruby/text-table/enumerable.rb
    • /usr/lib/ruby/vendor_ruby/text-table/row.rb
    • /usr/lib/ruby/vendor_ruby/text-table/symbol.rb
    • /usr/lib/ruby/vendor_ruby/text-table/table.rb
    • /usr/lib/ruby/vendor_ruby/text-table/version.rb
    • /usr/share/doc/ruby-text-table/README.rdoc.gz
    • /usr/share/doc/ruby-text-table/changelog.Debian.gz
    • /usr/share/doc/ruby-text-table/copyright
    • /usr/share/rubygems-integration/all/specifications/text-table-1.2.4.gemspec

    Changelog

    2015-08-18 - Cédric Boutillier <boutil@debian.org> ruby-text-table (1.2.4-1) unstable; urgency=medium * Imported Upstream version 1.2.4 * Set debhelper compatibility to 9 * Exclude performance tests from the list of run tests (Closes: #795676) + drop the patch, corresponding to these tests

    2014-10-09 - Cédric Boutillier <boutil@debian.org> ruby-text-table (1.2.3-2) unstable; urgency=medium * Rebuild to update rubygems-integration data * Bump Standards-Version to 3.9.6 * Set Testsuite field to autopkgtest-pkg-ruby

    2013-08-01 - Cédric Boutillier <boutil@debian.org> ruby-text-table (1.2.3-1) unstable; urgency=low * Imported Upstream version 1.2.3 * Use canonical URI in Vcs-* fields * debian/patches: + drop remove_requirement_on_spec.patch, not needed anymore + add upstream fix_specs_for_ruby18.patch

    2012-12-10 - Cédric Boutillier <boutil@debian.org> ruby-text-table (1.2.2-1) unstable; urgency=low * Initial release (Closes: #695561) * add debian/patches/remove_requirement_on_spec.patch, to adapt specs to a more recent version of RSpec.

    Advertisement
    Advertisement